{% extends "benevoles/base.html" %}
{% load client_utils %}

{% block title %}Accueil{% endblock %}

{% block extrastyle %}
    <link rel="manifest" href="{% url 'manifest' %}" crossorigin="use-credentials">
{% endblock %}

{% block breadcrumb %}{% endblock %}

{% block content %}
<h1 class="text-center">Alarmes Croix-Rouge<span class="noprint"><br>Portail bénévoles</span></h1>

<ul id="appTabs" class="nav nav-tabs noprint" role="tablist">
    <li class="nav-item">
        <a class="nav-link active" href="" data-bs-toggle="tab" data-bs-target="#encours" role="tab">
            En cours{% if mes_missions %} <span class="badge text-bg-primary">{{ mes_missions|length }}</span>{% endif %}
        </a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="#ouvert" data-bs-toggle="tab" data-bs-target="#aprendre" role="tab">
            Ouvert <span class="badge text-bg-{% if aprendre %}danger{% else %}secondary{% endif %}">{{ missions_ouvertes|length }}</span>
        </a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="#visites" data-bs-toggle="tab" data-bs-target="#visites" role="tab">
            Visites {% if visites_a_faire %}<span class="badge text-bg-danger">{{ visites_a_faire }}</span>{% endif %}
        </a>
    </li>
</ul>

<div class="tab-content">
    <div id="encours" class="tab-pane fade show active">
        <h2 class="mt-3">Mes interventions en cours</h2>
        {% for mission in mes_missions %}
            {% include 'benevoles/mission-card.html' with link_client=True mode='planif' %}
        {% empty %}
            <div class="vert"><i>Aucune intervention en cours.</i></div>
        {% endfor %}
    </div>

    <div id="aprendre" class="tab-pane fade">
        <h2 class="mt-3">Interventions ouvertes</h2>
        <form method="post">{% csrf_token %}
        {% for mission in missions_ouvertes %}
            {% include 'benevoles/mission-card.html' with link_client=False mode='aprendre' %}
        {% empty %}
            <div class="vert"><i>Pas d’intervention ouverte pour le moment</i></div>
        {% endfor %}
        </form>
    </div>

    <div id="visites" class="tab-pane fade">
        <div class="list-group">
        {% for client in visites %}
            <div class="row" title="Visite pour {{ client.nom_prenom }}">
                <div class="col-9 p-2 border">
                    {% bandeau_absence client.presence_actuelle %}
                    <div><b>{{ client.nom_prenom }}</b>, {{ client.rue }}, {{ client.npa }} {{ client.localite }}</div>
                    <div class="tels">
                        {{ client.tel_1|as_tel }} {% if client.tel_2 %}, {{ client.tel_2|as_tel }}{% endif %}
                    </div>
                    {% with install=client.derniere_alarme %}{% if install %}
                    <div>{{ install.alarme.modele }} ({{ install.abonnement }})</div>
                    {% endif %}{% endwith %}
                    {% if client.remarques_ext %}
                    <div class="fst-italic">{{ client.remarques_ext|linebreaksbr }}</div>
                    {% endif %}
                </div>
                <div class="col-3 p-2 border">
                    <a href="{{ client.href }}" class="openmodal d-block list-group-item-action">
                    {% if client.date_resiliation %}<div class="alert alert-danger">Résiliation pour le {{ client.date_resiliation|date:'d.m.Y' }}</div>{% endif %}
                    {% if client.planifiee_le %}<b class="text-success">Planifiée le<br> {{ client.planifiee_le|date:'d.m.Y à H:i' }}</b>
                    {% elif client.derniere is None and not client.date_resiliation %}<span class="text-danger">Dès que possible</span>
                    {% elif not client.date_resiliation %}Dès le <span class="{% if client.afaire %}text-danger{% endif %}">{{ client.next_interv }}</span>
                    {% endif %}
                    </a>
                </div>
            </div>
        {% empty %}
            <div class="mt-3"><i>Aucune visite ne vous est attribuée.</i></div>
        {% endfor %}
        </div>
    </div>
</div>
{% endblock %}
